import Layout from '@/layout'
const systemSettingsRoutes = {
  path: '/systemSettings',
  component: Layout,
  meta: { roles: ['system_menu'] },
  children: [
    {
      path: '/systemSettings',
      name: 'systemSettings',
      component: () => import('@/views/systemSettings/index'),
      meta: { title: '系统设置', icon: 'systemSettings', imgstyle: 'ic_setting_nav_default.png', imgstyleup: 'ic_setting_nav_check.png' },
      children: [
        {
          path: '/systemSettings',
          name: 'serviceManagement',
          component: { render(c) { return c('router-view') } },
          redirect: '/systemSettings',
          meta: { title: '服务管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png'),
          children: [
            {
              path: '/systemSettings',
              component: () => import('@/views/systemSettings/views/serviceManagement/serviceHome'),
            },
            {
              path: '/systemSettings/serviceEdit',
              name: 'serviceEdit',
              component: () => import('@/views/systemSettings/views/serviceManagement/serviceEdit'),
              meta: { title: '服务编辑' },
              hidden: false,
              isAlone: true,
              src: require('@/assets/nav/ic_setting_top@2x.png')
            },
          ]
        },
        // {
        //   path: '/systemSettings/sourceDataItemManagement',
        //   name: 'sourceDataItemManagement',
        //   component: { render(c) { return c('router-view') } },
        //   redirect: '/systemSettings/sourceDataItemManagement',
        //   meta: { title: '源数据管理' },
        //   hidden: true,
        //   src: require('@/assets/nav/ic_setting_top_default.png'),
        //   srcer: require('@/assets/nav/ic_setting_top_check.png'),
        //   children: [
        //     {
        //       path: '/systemSettings/sourceDataItemManagement',
        //       component: () => import('@/views/systemSettings/views/sourceDataItemManagement/sourceDataItemHome'),
        //     },
        //     {
        //       path: '/systemSettings/sourceDataItemEdit',
        //       name: 'sourceDataItemEdit',
        //       component: () => import('@/views/systemSettings/views/sourceDataItemManagement/sourceDataItemEdit'),
        //       meta: { title: '源数据编辑' },
        //       hidden: false,
        //       isAlone: true,
        //       src: require('@/assets/nav/ic_setting_top@2x.png')
        //     },
        //   ]
        // },
        // {
        //   path: '/systemSettings/targetDataManagement',
        //   name: 'targetDataManagement',
        //   component: { render(c) { return c('router-view') } },
        //   redirect: '/systemSettings/targetDataManagement',
        //   meta: { title: '目标数据管理' },
        //   hidden: true,
        //   src: require('@/assets/nav/ic_setting_top_default.png'),
        //   srcer: require('@/assets/nav/ic_setting_top_check.png'),
        //   children: [{
        //     path: '/systemSettings/targetDataManagement',
        //     component: () => import('@/views/systemSettings/views/targetDataManagement/targetDataHome'),
        //   },
        //   {
        //     path: '/systemSettings/targetDataEdit',
        //     name: 'targetDataEdit',
        //     component: () => import('@/views/systemSettings/views/targetDataManagement/targetDataEdit'),
        //     meta: { title: '目标数据编辑' },
        //     hidden: false,
        //     isAlone: true,
        //     src: require('@/assets/nav/ic_setting_top@2x.png')
        //   },
        //   ]
        // },
        {
          path: '/systemSettings/protocolManagement',
          name: 'protocolManagement',
          component: () => import('@/views/systemSettings/views/protocolManagement/protocolHome'),
          meta: { title: '协议管理' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/machineManagement',
          name: 'machineManagement',
          component: () => import('@/views/systemSettings/views/machineManagement/machineHome'),
          meta: { title: '机器维护' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        // {
        //   path: '/systemSettings/warningSet',
        //   name: 'warningSet',
        //   component: { render(c) { return c('router-view') } },
        //   redirect: '/systemSettings/warningSet',
        //   meta: { title: '报警预警设置' },
        //   hidden: true,
        //   src: require('@/assets/nav/ic_setting_top_default.png'),
        //   srcer: require('@/assets/nav/ic_setting_top_check.png'),
        //   children: [{
        //     path: '/systemSettings/warningSet',
        //     component: () => import('@/views/systemSettings/views/warningSet/warningSet'),
        //   },
        //   {
        //     path: '/systemSettings/warningEdit',
        //     name: 'warningEdit',
        //     component: () => import('@/views/systemSettings/views/warningSet/warningEdit'),
        //     meta: { title: '报警预警设置' },
        //     hidden: false,
        //     isAlone: true,
        //     src: require('@/assets/nav/ic_setting_top@2x.png')
        //   },
        //   ]
        // },
        {
          path: '/systemSettings/queryTemplate',
          name: 'queryTemplate',
          component: { render(c) { return c('router-view') } },
          redirect: '/systemSettings/queryTemplate',
          meta: { title: '查询模板' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png'),
          children: [{
            path: '/systemSettings/queryTemplate',
            component: () => import('@/views/systemSettings/views/queryTemplate/queryTemplate'),
          },
          {
            path: '/systemSettings/queryTemplateadd',
            name: 'queryTemplateadd',
            component: () => import('@/views/systemSettings/views/queryTemplate/queryTemplateadd'),
            meta: { title: '新增查询模板' },
            hidden: false,
            isAlone: true,
            src: require('@/assets/nav/ic_setting_top@2x.png')
          },
          {
            path: '/systemSettings/queryTemplateedit',
            name: 'queryTemplateedit',
            component: () => import('@/views/systemSettings/views/queryTemplate/queryTemplateedit'),
            meta: { title: '编辑查询模板' },
            hidden: false,
            isAlone: true,
            src: require('@/assets/nav/ic_setting_top@2x.png')
          },
          ]
        },
        {
          path: '/systemSettings/datastructure',
          name: 'datastructure',
          component: () => import('@/views/systemSettings/views/datastructure/datastructureHome'),
          meta: { title: '数据结构' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/sourceservice',
          name: 'sourceservice',
          component: () => import('@/views/systemSettings/views/sourceservice/sourceserviceHome'),
          meta: { title: '数据源服务' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/serviceoutput',
          name: 'serviceoutput',
          component: () => import('@/views/systemSettings/views/serviceoutput/serviceoutputHome'),
          meta: { title: '服务输出' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/servicedeployment',
          name: 'servicedeployment',
          component: () => import('@/views/systemSettings/views/servicedeployment/servicedeploymentHome'),
          meta: { title: '服务部署' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/dataStructureItem',
          name: 'dataStructureItem',
          component: () => import('@/views/systemSettings/views/dataStructureItem/dataStructureItemHome'),
          meta: { title: '数据结构项' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
        {
          path: '/systemSettings/queryItemSettings',
          name: 'queryItemSettings',
          component: () => import('@/views/systemSettings/views/queryItemSettings/queryItemSettingsHome'),
          meta: { title: '查询项设置' },
          hidden: true,
          src: require('@/assets/nav/ic_setting_top_default.png'),
          srcer: require('@/assets/nav/ic_setting_top_check.png')
        },
      ]
    }
  ]
}


export default [
  systemSettingsRoutes
]
